multiusercalendarappointmentlistmodule.prototype = new ListModule;
multiusercalendarappointmentlistmodule.prototype.constructor = multiusercalendarappointmentlistmodule;
multiusercalendarappointmentlistmodule.superclass = ListModule.prototype;

function multiusercalendarappointmentlistmodule(id, element, title, data)
{
	if(arguments.length > 0) {
		this.init(id, element, title, data);
	}

}

multiusercalendarappointmentlistmodule.prototype.init = function(id, element, title, data)
{
	this.element = element;
	this.contentElement = element;

	this.selectedView = "";
	if(!data){
		var data = new Array();
	}
	data["has_no_menu"] = true;
	this.MultiUserCalendarParent = data["mucalendarParent"];
	this.storeid = data["storeid"];
	this.groupID = data["groupID"];
	this.entryid = data["folderentryid"];

	multiusercalendarappointmentlistmodule.superclass.init.call(this, id, element, title, data);
	this.initializeView("multiusercalendarappointmentlist");

}

multiusercalendarappointmentlistmodule.prototype.getStoreID = function(view){
	return this.storeid;
}

multiusercalendarappointmentlistmodule.prototype.initializeView = function(view){
	if (view){
		this.selectedview = view;
	}
	this.viewController.initView(this.id, this.selectedview, this.contentElement, this.events, {mucalendarParent: this.MultiUserCalendarParent, storeid: this.storeid, groupID: this.groupID});
}

multiusercalendarappointmentlistmodule.prototype.list = function(useTimeOut)
{
	if(this.storeid && this.folderentryid) {
		var data = new Object();
		data["store"] = this.storeid;
		data["entryid"] = this.folderentryid;
		data["restriction"] = new Object();
		data["restriction"]["startdate"] = this.viewedDays[0];
		data["restriction"]["duedate"] = Number(this.viewedDays[this.viewedDays.length-1])+(24*60*60);
	
		webclient.xmlrequest.addData(this, "list", data);
		this.viewController.loadMessage();
	}
}

multiusercalendarappointmentlistmodule.prototype.setTimePeriod = function(viewedDays)
{
	this.viewedDays = viewedDays;
}

multiusercalendarappointmentlistmodule.prototype.deleteItems = function(action)
{
	this.viewController.deleteItems(action, this.groupID);
}