MultiUserCalendarAppointmentListView.prototype = new View;
MultiUserCalendarAppointmentListView.prototype.constructor = MultiUserCalendarAppointmentListView;
MultiUserCalendarAppointmentListView.superclass = View.prototype;

function MultiUserCalendarAppointmentListView(moduleID, element, events, data)
{
	this.element = element;
	
	this.moduleID = moduleID;
	this.events = events;
	this.data = data;
	this.MultiUserCalendarParent = (data['mucalendarParent'])?data['mucalendarParent']:false;
	this.storeid = data["storeid"];
	this.groupID = data["groupID"];
	
	this.columns = false;
	this.sortColumn = false;
	this.sortDirection = false;
	
	this.initView();
}

/**
 * Function which intializes the view
 */ 
MultiUserCalendarAppointmentListView.prototype.initView = function()
{
}


MultiUserCalendarAppointmentListView.prototype.resizeView = function(){
}

MultiUserCalendarAppointmentListView.prototype.execute = function(items, properties, action)
{
	return this.MultiUserCalendarParent.executeAppView(items, properties, action, this.groupID);
}

MultiUserCalendarAppointmentListView.prototype.updateItem = function(items, properties, action){
	return this.MultiUserCalendarParent.updateItemAppView(items, properties, action, this.groupID);
}

MultiUserCalendarAppointmentListView.prototype.addItem = function(items, properties, action){
	return this.MultiUserCalendarParent.addItemAppView(items, properties, action, this.groupID);
}

MultiUserCalendarAppointmentListView.prototype.deleteItems = function(items, properties, action){
	return this.MultiUserCalendarParent.deleteItemsAppView(items, properties, action, this.groupID);
}
